Module java.base
Package java.security

## Class InvalidParameterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - java.security.InvalidParameterException

All Implemented Interfaces:
  `Serializable`

    public class InvalidParameterException
    extends IllegalArgumentException

This exception, designed for use by the JCA/JCE engine classes, is thrown when an invalid parameter is passed to a method.

Since:
  1.1
See Also:
  Serialized Form

### Constructor Summary

Constructors
`InvalidParameterException()` Constructs an InvalidParameterException with no detail message.
`InvalidParameterException​(String msg)` Constructs an InvalidParameterException with the specified detail message.

### Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidParameterException

    public InvalidParameterException()

Constructs an InvalidParameterException with no detail message. A detail message is a String that describes this particular exception.

#### InvalidParameterException

    public InvalidParameterException​(String msg)

Constructs an InvalidParameterException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `msg` - the detail message.